#!/bin/sh

nsources=8
nattrs=8

case $# in
1)	ntotal=$1
	;;
*)	echo "usage: genlabel.sh nlabels" 1>&2
	exit
	;;
esac

npart=`expr $ntotal / 5`
for nchar in 40 50 60 70 80
do
	base64 -w0 /dev/urandom | fold -w $nchar | head -n $npart >tmp.genlabels.$nchar
done

paste -d '\n' tmp.genlabels.* |
awk '{
	if (NR % 3 == 2)
		printf "*\t"
	printf "%s\t%s\t%s\t%s\n", (NR + 3 % 11) % '$nsources', (NR + 6 % 13) % '$nattrs', NR % 2, $0
}'

rm tmp.genlabels.*
