#!/bin/sh

case $# in
2)	nlabels=$1
	ntrials=$2
	;;
*)	echo "usage: perf.sh nlabels ntrials" 1>&2
	exit
	;;
esac

sh genlabels.sh $nlabels >tmp.perf.labels

for i in `seq 1 $ntrials`
do
	#	real	mem
	time -f '%e	%M' -ao tmp.perf.time ./purerep <tmp.perf.labels >/dev/null
done

awk '{ real += $1; mem += $2 } END { print real / NR, mem / NR }' <tmp.perf.time

rm tmp.perf.*
